## NautilusMenuItem NautilusMenuItem |

## Functions

#define | NAUTILUS_TYPE_MENU_ITEM
#define | NAUTILUS_MENU_ITEM()
#define | NAUTILUS_MENU_ITEM_CLASS()
#define | NAUTILUS_MENU_IS_ITEM()
#define | NAUTILUS_MENU_IS_ITEM_CLASS()
#define | NAUTILUS_MENU_ITEM_GET_CLASS()
NautilusMenu * | nautilus_menu_new ()
void | nautilus_menu_append_item ()
GList * | nautilus_menu_get_items ()
void | nautilus_menu_item_list_free ()
GType | nautilus_menu_item_get_type ()
NautilusMenuItem * | nautilus_menu_item_new ()
void | nautilus_menu_item_activate ()
void | nautilus_menu_item_set_submenu ()

## Properties

gchar * | icon | Read / Write
gchar * | label | Read / Write
NautilusMenu * | menu | Read / Write
gchar * | name | Read / Write / Construct Only
gboolean | priority | Read / Write
gboolean | sensitive | Read / Write
gchar * | tip | Read / Write

## Signals

void | activate | Run Last

## Types and Values

| NautilusMenuPrivate
| NautilusMenuItemDetails
struct | NautilusMenu
struct | NautilusMenuItem

## Object Hierarchy

        GObject
        ├── NautilusMenu
        ╰── NautilusMenuItem

## Description

## Functions

### NAUTILUS_TYPE_MENU_ITEM

    #define NAUTILUS_TYPE_MENU_ITEM            (nautilus_menu_item_get_type())

### NAUTILUS_MENU_ITEM()

    #define NAUTILUS_MENU_ITEM(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), NAUTILUS_TYPE_MENU_ITEM, NautilusMenuItem))

### NAUTILUS_MENU_ITEM_CLASS()

    #define NAUTILUS_MENU_ITEM_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), NAUTILUS_TYPE_MENU_ITEM, NautilusMenuItemClass))

### NAUTILUS_MENU_IS_ITEM()

    #define NAUTILUS_MENU_IS_ITEM(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NAUTILUS_TYPE_MENU_ITEM))

### NAUTILUS_MENU_IS_ITEM_CLASS()

    #define NAUTILUS_MENU_IS_ITEM_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((obj), NAUTILUS_TYPE_MENU_ITEM))

### NAUTILUS_MENU_ITEM_GET_CLASS()

    #define NAUTILUS_MENU_ITEM_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj), NAUTILUS_TYPE_MENU_ITEM, NautilusMenuItemClass))

### nautilus_menu_new ()

    NautilusMenu *
    nautilus_menu_new (void);

#### Returns

### nautilus_menu_append_item ()

    void
    nautilus_menu_append_item (NautilusMenu *menu,
                               NautilusMenuItem *item);

### nautilus_menu_get_items ()

    GList *
    nautilus_menu_get_items (NautilusMenu *menu);

#### Parameters

menu | a NautilusMenu |

#### Returns

the provided NautilusMenuItem list.

[element-type NautilusMenuItem][transfer full]

### nautilus_menu_item_list_free ()

    void
    nautilus_menu_item_list_free (GList *item_list);

#### Parameters

item_list | a list of NautilusMenuItem. | [element-type NautilusMenuItem]

### nautilus_menu_item_get_type ()

    GType
    nautilus_menu_item_get_type (void);

#### Returns

### nautilus_menu_item_new ()

    NautilusMenuItem *
    nautilus_menu_item_new (const char *name,
                            const char *label,
                            const char *tip,
                            const char *icon);

Creates a new menu item that can be added to the toolbar or to a contextual menu.

#### Parameters

name | the identifier for the menu item |
label | the user-visible label of the menu item |
tip | the tooltip of the menu item |
icon | the name of the icon to display in the menu item |

#### Returns

a newly create NautilusMenuItem

### nautilus_menu_item_activate ()

    void
    nautilus_menu_item_activate (NautilusMenuItem *item);

emits the activate signal.

#### Parameters

item | pointer to a NautilusMenuItem |

### nautilus_menu_item_set_submenu ()

    void
    nautilus_menu_item_set_submenu (NautilusMenuItem *item,
                                    NautilusMenu *menu);

Attachs a menu to the given NautilusMenuItem.

#### Parameters

item | pointer to a NautilusMenuItem |
menu | pointer to a NautilusMenu to attach to the button |

## Types and Values

### NautilusMenuPrivate

    typedef struct _NautilusMenuPrivate NautilusMenuPrivate;

### NautilusMenuItemDetails

    typedef struct _NautilusMenuItemDetails NautilusMenuItemDetails;

### struct NautilusMenu

    struct NautilusMenu;

### struct NautilusMenuItem

    struct NautilusMenuItem;

## Property Details

### The `“icon”` property

      “icon”                     gchar *

Name of the icon to display in the menu item.

Flags: Read / Write

Default value: NULL

### The `“label”` property

      “label”                    gchar *

Label to display to the user.

Flags: Read / Write

Default value: NULL

### The `“menu”` property

      “menu”                     NautilusMenu *

The menu belonging to this item. May be null.

Flags: Read / Write

### The `“name”` property

      “name”                     gchar *

Name of the item.

Flags: Read / Write / Construct Only

Default value: NULL

### The `“priority”` property

      “priority”                 gboolean

Show priority text in toolbars.

Flags: Read / Write

Default value: TRUE

### The `“sensitive”` property

      “sensitive”                gboolean

Whether the menu item is sensitive.

Flags: Read / Write

Default value: TRUE

### The `“tip”` property

      “tip”                      gchar *

Tooltip for the menu item.

Flags: Read / Write

Default value: NULL

## Signal Details

### The `“activate”` signal

    void
    user_function (NautilusMenuItem *nautilusmenuitem,
                   gpointer          user_data)

#### Parameters

nautilusmenuitem | the object which received the signal. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last